Subject: Re: [Nfvrg] Improvement suggestions regarding draft-irtf-nfvrg-gaps-network-virtualization

From: Carlos Jesús Bernardos Cano <[email-masked]>
Date: Wed, 20 Apr 2016 12:36:34 +0200

Dear Jose,

Thanks a lot for your very productive feedback and apologies for not
going back to you before.

We will address your comments and suggestions in the next iteration of
the draft.

Thanks!

Carlos

On Wed, 2016-03-30 at 13:27 +0200, Jose Saldana wrote:
> Hi,
>  
> I have read the “Gap Analysis on Network Virtualization Activities”
> draft, and I have some comments and improvement suggestions.
>  
> - Throughout the sections, you identify different gaps, which are
> summarized in Section 5. My recommendation is to add a number to each
> gap, not only in Section 5, but also in the places where they appear
> for the first time.
>  
> - The report titled “Software Defined Networking (SDN) and Network
> Function Virtualisation (NFV) for Wi-Fi networks”, (March 2016), by
> the Wireless Broadband Alliance, “examines the usage of SDN and NFV
> in the deployment of Wi-Fi network providing use cases, an analysis
> of the state of the art, definition of requirements, architectures
> alternatives, challenges and gaps for the Wi-Fi network components.”
> It mentions some of the IETF/IRTF WGs you are also talking about:
> NFV, SFC, NVO3, BESS, TEAS and VNFPool. Would it make sense to have a
> look to it, as it can also be part of the “context” of your draft?
>  
>  
> Some minor typos and improvement suggestions:
>  
> - “the different efforts that have taken and are currently taking”
> could say “have been taken”?
>  
> - Terminology (Section 2): After each term, you use either “-“ or
> “:”. You could perhaps use the same character for all of them.
>  
> - “Network Function Virtualisation Infrastructure (NFVI).” Should say
> “Virtualization”.
>  
> - “many network equipment types into industry standard high volume
> servers, switches, and storage.” Could say “storage devices”?
>  
> - This sentence sounds a bit weird to me: “It enables implementing
> network functions in software that can run on a range of industry
> standard server hardware and can be moved to, or loaded in, various
> locations in the network as required, without the need to install new
> equipment.” What about “It enables to implement in software network
> functions, which can run on a wide range of standard servers.
> According to network requirements, these functions can be moved to,
> or be loaded in different locations, without the need to install new
> equipment.”?
>  
> - “ETSI NFV is by far the most accepted NFV reference framework”.
> Perhaps the “by far” could be avoided to sound more objective.
>  
> - “Originally this protocol was developed specifically for IEEE
> 802.1” could say “This protocol was originally developed specifically
> for…”
>  
> - “The SDNRG has documented a reference layer model in”. You could
> say “The SDNRG (see Section 4.1) has documented a reference layer
> model in”
>  
> - “As such, they SDNRG will not define” should say “the SDNRG”.
>  
> - This sentence sounds a bit weird to me: “Routing elements consist
> of an agent that communicates with the client or clients driven by
> the applications and accesses the different subsystems in the
> element”
>  
> - There is something wrong in this sentence: “As part of the tasks of
> the BMWG, it is explicitly tasked to develop benchmarks and
> methodologies for VNF and related infrastructure benchmarking,
> Benchmarking Methodologies have reliably characterized many physical
> devices.”
>  
> - “components will be also addressed,” could say “will also be
> addressed”.
>  
> - “manage multiple physical networks elements as single virtualized
> network.” Could say “as a single virtualized network”.
>  
> - There is something missing here: “The I2NSF WG at defining
> interfaces to the flow based network security functions (NSFs) hosted
> by service providers at different premises.”
>  
> - “running over transport layer protocols (e.g. TCP, UPD) over IP.”
> Should say UDP instead of UPD.
>  
>  
>  
> Best regards,
>  
> Jose
>